package com.qmth.distributed.print.business.service;

import com.qmth.distributed.print.business.bean.params.SyncDataParam;
import com.qmth.distributed.print.business.entity.ExamPaperStructure;

/**
 * 同步数据到云阅卷 服务类
 */
public interface DataSyncService {
    void syncToCloudReview();

    void syncDataCloud(Long printPlanId, Long thirdRelateId);

    void syncDataMerge(SyncDataParam syncDataParam);

    void syncPaperStructureAndGroup(ExamPaperStructure examPaperStructure);

    void syncPaperAndAnswer(ExamPaperStructure examPaperStructure);

    void syncObjectiveStructure(ExamPaperStructure examPaperStructure);
}
